package others_request

import (
	"private-go-sdk/http"
	"encoding/json"
	"private-go-sdk/model/common"
)

type CrossborderContractExpiretimeRequest struct {
	SingleContractInfo *common.CrossborderContractExpiretimeSingleContractInfoRequest `json:"singleContractInfo"`
	// <ext>core:true;format:date</ext> 【签署截止日期】签署截止日期 【作用】   若超过该日期，文件的所有签署方将不能进行文件签署，文件状态变为“已截止签署”。 【传参】 1、日期格式：yyyy-MM-dd。 2、若传入2022-03-09，系统将在2022年3月9日的23时59分59秒后将文件标记为“已截止签署”。 3、“已截止签署”文件不支持再修改截止日期
	ExpireTime string `json:"expireTime"`
	Operator *common.CrossborderContractExpiretimeOperatorRequest `json:"operator,omitempty"`
}
func (obj CrossborderContractExpiretimeRequest) GetUrl() string {
    return "/cross-border/contract/expireTime"
}

func (obj CrossborderContractExpiretimeRequest) GetHttpParameter() *http.HttpParameter {
    parameter := http.NewPostHttpParameter()
    jsonBytes, _ := json.Marshal(obj)
    parameter.SetJsonParamer(string(jsonBytes))
    return parameter
}
